import { declare } from '@babel/helper-plugin-utils';

function remover({
  node
}) {
  const {
    extra
  } = node;
  if (extra?.raw?.includes("_")) {
    extra.raw = extra.raw.replace(/_/g, "");
  }
}
var index = declare(api => {
  api.assertVersion("8.0.0-alpha.5");
  return {
    name: "transform-numeric-separator",
    inherits: undefined,
    visitor: {
      NumericLiteral: remover,
      BigIntLiteral: remover
    }
  };
});

export { index as default };
//# sourceMappingURL=index.js.map
